import React from 'react';
import PropTypes from 'prop-types';
import Button from 'react-native-web-ui-components/Button';

const AddHandle = ({
  theme,
  onPress,
  addLabel
}) => /*#__PURE__*/React.createElement(Button, {
  auto: true,
  small: true,
  flat: false,
  radius: true,
  type: theme.colors.primary,
  onPress: onPress
}, addLabel);

AddHandle.propTypes = {
  theme: PropTypes.shape().isRequired,
  onPress: PropTypes.func.isRequired,
  addLabel: PropTypes.string.isRequired
};
export default AddHandle;